/* Responsive layout - makes the columns stack on top of each other instead of next to each other */
@media screen and (min-width: 600px) {
  .speech {
  	width: 52%;
  }
}
@media screen and (max-width: 600px) {
  .speech {
  	width: 80%;
  }
  .defender.speech {
    width: 125%;
  }
}

/* (A) SPEECH BOX */
.speech {
  /* (A1) FONT */
  font-family: arial, sans-serif;
  font-size: 1.1em;
  color: #fff;
  /* (A2) DIMENSIONS + BACKGROUND */
  position: relative;
  padding: 20px;
  border-radius: 10px;
}
.accusor.speech {
	background: #a53d38;
	float: left;
  margin-top: -80px;
  margin-left: 20px;
  margin-right: 20px;
}
.defender.speech {
	background: #306eff;
	float: right;
  margin-right: -104px;
  margin-top: 20px;
}
/* (B) ADD SPEECH "CALLOUT TAIL" */
/* (B1) ATTACH TRANSPARENT BORDERS AFTER */
.speech::after {
  position: absolute;
  content: '';
  border: 20px solid transparent;
}
 
/* (B2) CREATE + POSITION CALLOUT "TAIL" */
.accusor-bottom.speech::after {
  /* DOWN TRIANGLE */
  border-top-color: #a53d38;
  border-bottom: 0;
  /* POSITION TAIL AT BOTTOM OF BOX */
  bottom: -19px;
  left: 50%;
  margin-left: -20px;
}
.defender-bottom.speech::after {
  /* DOWN TRIANGLE */
  border-top-color: #306eff;
  border-bottom: 0;
  /* POSITION TAIL AT BOTTOM OF BOX */
  bottom: -19px;
  left: 50%;
  margin-left: -20px;
}

/* (C1) TOP */
.accusor-top.speech::after {
  /* UP TRIANGLE */
  border-bottom-color: #a53d38;
  border-top: 0;
  /* POSITION TAIL AT BOTTOM OF BOX */
  top: -19px;
  left: 50%;
  margin-left: -20px;
}
.defender-top.speech::after {
  /* UP TRIANGLE */
  border-bottom-color: #306eff;
  border-top: 0;
  /* POSITION TAIL AT BOTTOM OF BOX */
  top: -19px;
  left: 50%;
  margin-left: -20px;
}

/* (C2) LEFT */
.accusor-left.speech::after {
  /* LEFT TRIANGLE */
  border-right-color: #a53d38;
  border-left: 0;
  /* POSITION TAIL AT LEFT OF BOX */
  left: -19px;
  top: 50%;
  margin-top: -20px;
}
.defender-left.speech::after {
  /* LEFT TRIANGLE */
  border-right-color: #306eff;
  border-left: 0;
  /* POSITION TAIL AT LEFT OF BOX */
  left: -19px;
  top: 50%;
  margin-top: -20px;
}
 
/* (C3) RIGHT */
.accusor-right.speech::after {
  /* RIGHT TRIANGLE */
  border-left-color: #a53d38;
  border-right: 0;
  /* POSITION TAIL AT RIGHT OF BOX */
  right: -19px;
  top: 50%;
  margin-top: -20px;
}
.defender-right.speech::after {
  /* RIGHT TRIANGLE */
  border-left-color: #306eff;
  border-right: 0;
  /* POSITION TAIL AT RIGHT OF BOX */
  right: -19px;
  top: 50%;
  margin-top: -20px;
}

.last-message {
  margin-bottom: 20px;
}

/* Loading animation for new messages */

.typing-indicator {
  width: auto;
  border-radius: 20px;
  padding: 20px;
  display: table;
  margin: 23px;
  -webkit-animation: 2s bulge infinite ease-out;
          animation: 2s bulge infinite ease-out;
}
.fade {
  -webkit-animation: textingAnimation 2.5s forwards; 
  animation: textingAnimation 2.5s forwards;
}
.typing-indicator::before {
	transition-property: transform;
	transition-duration: 5s;
}
.typing-indicator span {
  height: 15px;
  width: 15px;
  float: left;
  margin: 0 1px;
  background-color: #fff;
  display: block;
  border-radius: 50%;
  opacity: 0.4;
}
.typing-indicator span:nth-of-type(1) {
  -webkit-animation: 1s blink infinite 0.3333s;
          animation: 1s blink infinite 0.3333s;
}
.typing-indicator span:nth-of-type(2) {
  -webkit-animation: 1s blink infinite 0.6666s;
          animation: 1s blink infinite 0.6666s;
}
.typing-indicator span:nth-of-type(3) {
  -webkit-animation: 1s blink infinite 0.9999s;
          animation: 1s blink infinite 0.9999s;
}

.color-accusor {
	background-color: #a53d38;
	float: left;
}

.push-right {
  float: right;
}
.color-defender {
	background-color: #306eff;
}

@-webkit-keyframes blink {
  50% {
    opacity: 1;
  }
}

@keyframes blink {
  50% {
    opacity: 1;
  }
}
@-webkit-keyframes bulge {
  50% {
    -webkit-transform: scale(1.05);
            transform: scale(1.05);
  }
}
@keyframes bulge {
  50% {
    -webkit-transform: scale(1.05);
            transform: scale(1.05);
  }
}

/* Make the element disappear - not currently working since adding activateOnScroll.js, from here: https://stackoverflow.com/a/43397509 */
@keyframes textingAnimation {
    0%   {opacity: 1;}
    90%  {opacity: 1;}
    100% {opacity: 0;}
}
@-webkit-keyframes textingAnimation {
    0%   {opacity: 1;}
    90%  {opacity: 1;}
    100% {opacity: 0;}
}